Freeciv-3.3: Data Fields

Freeciv-3.3

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - f -

- f_text : hud_input_box, hud_message_box, hud_text
- f_title : hud_input_box, hud_message_box, hud_text
- face : city_icon
- facing : named_sprites, packet_unit_info, packet_unit_short_info, unit
- factor : cm_parameter, cma_dialog, multiplier, packet_ruleset_multiplier, zoom_data
- fading : hud_unit_combat
- fallback : generate_packets.TypeRegistry
- false_theme : checkbox
- fatal : test_func
- fatal_assertions : server_arguments
- fc_client() : fc_client
- fc_corner() : fc_corner
- fc_cursors : fc_client
- fc_double_edge() : fc_double_edge
- fc_font() : fc_font
- fc_game_tab_widget() : fc_game_tab_widget
- fc_icons() : fc_icons
- fc_main() : fc_client
- fc_sc_button() : fc_sc_button
- fc_shortcut_popup() : fc_shortcut_popup
- fc_shortcuts() : fc_shortcuts
- fc_shortcuts_dialog() : fc_shortcuts_dialog
- fc_sidebar() : fc_sidebar
- fc_sidewidget() : fc_sidewidget
- fc_tooltip() : fc_tooltip
- fc_tt : production_widget
- fcdb_conf : server_arguments
- fcdb_enabled : server_arguments
- fcde : tax_rates_dialog
- fcmp : mpqt_worker
- fearfulness : adv_risk_cost
- feel : city
- feeling_pics : happiness_dialog
- feeling_surfaces : happiness_dialog
- female : ruler_title
- female_angry : city_icon
- female_content : city_icon
- female_happy : city_icon
- female_title : packet_ruleset_government_ruler_title
- female_unhappy : city_icon
- ferry : unit_type_ai
- ferry_types : unit_class
- ferryboat : unit_ai
- fgcol : utf8_str
- FIELD_ARRAY_PATTERN : generate_packets.Field
- fields : generate_packets.Packet, generate_packets.Variant
- FIELDS_LINE_PATTERN : generate_packets.Field
- FieldTypeConstructor : generate_packets.RawFieldType
- file : loaddata, savedata, small_sprite, treaty_cb_data
- file_ext : tag_types
- file_name : specfile
- filename : inputfile, modpack_cache_item
- filepath : save_thread_data
- files : save_dialog
- fill() : option_dialog
- fill_active() : effect_edit, req_edit
- fill_data() : city_widget, message_dlg
- fill_production_menus() : city_widget
- fill_receive_handler() : generate_packets.Variant
- fill_send_handler() : generate_packets.Variant
- fill_tab() : goto_dialog
- filter : effect_edit, effect_list_fill_data
- filter_get() : effect_edit
- filter_model : city_widget, plr_widget
- final_pixmap : fc_sidewidget
- find_certain_routes() : trade_generator
- find_certain_routes_inner() : trade_generator
- find_city_icon : theme_icons
- find_last_unit_pos() : mr_menu
- find_most_free() : trade_generator
- find_next_problem() : fix_enabler_item, req_vec_fix_item
- find_over_max() : trade_generator
- find_place() : map_view
- find_widget() : diplo_dlg
- finger_down_ticks : finger_behavior
- finished : animation
- firepower : edit_utype, packet_ruleset_unit, unit_type
- first : achievement, netfile_post, packet_achievement_info
- first_activities : ai_type
- first_boot : client_options
- first_citizen_index : city
- first_contact : ai_type
- first_contact_turn : player_diplstate
- first_msg : achievement
- first_reqs : packet_ruleset_road, road_type
- first_timeout : packet_game_info
- fix_enabler_item() : fix_enabler_item
- fixed : trait_limits
- fixedlength : civ_game
- flag : combat_bonus, packet_ruleset_unit_bonus
- flag_graphic_alt : nation_type
- flag_graphic_str : nation_type
- flag_layout : edit_extra, edit_impr, edit_tech, edit_terrain, edit_utype
- flagged_bases_list : tileset
- flags : advance, editor_tool, extra_type, fair_tile, generate_packets.Field, goods_type, impr_type, objprop, packet_player_info, packet_ruleset_building, packet_ruleset_extra, packet_ruleset_goods, packet_ruleset_road, packet_ruleset_tech, packet_ruleset_terrain, packet_ruleset_unit, packet_ruleset_unit_class, packet_vote_new, player, road_type, terrain, unit_class, unit_type, vote, voteinfo
- flatpoles : civ_map
- flexible_startpos_num : team_placement_config
- float_factor : generate_packets.FloatType
- float_value : cf_sequence
- floating : entry
- flush : widget
- flush_widgets() : ruledit_gui, tab_misc, tab_nation
- fm_text : hud_input_box, hud_message_box, hud_text
- fm_title : hud_input_box, hud_message_box
- focus : goto_map, hud_action, hud_unit_combat
- focus_status : unit
- focused_objbind : property_page
- focusOutEvent() : map_view
- fog : named_sprites, overview
- foggable : drawn_sprite
- foggedborders : civ_game
- fogofwar : packet_game_info
- fogofwar_old : civ_game
- fogstyle : tileset
- fold_bool : generate_packets.ScriptConfig
- foldable : generate_packets.BoolType, generate_packets.FieldType
- folded_into_head() : generate_packets.Field
- followtag_override : client_options
- font : client_option, ttf_font_chain, utf8_str
- font_filename : theme
- font_map : fc_font
- font_vtable : option
- food : city_icon, citybar_sprites, tile_data_cache
- food_cost : packet_game_info
- food_priority : adv_data
- food_stock : city, packet_city_info, packet_edit_city
- food_upkeep : unittype_item
- foodbox : packet_game_info
- for_ruleset : tileset
- FORBIDDEN_NAMES : generate_packets.Field
- force_to_send : packet_handlers
- forced_gold : packet_game_info
- forced_luxury : packet_game_info
- forced_science : packet_game_info
- foreground : ft_color, named_sprites, text_tag
- form_age : universals_u
- format : city_sum, mapdef
- format_default : toolkit
- formats : toolkit
- fortified : named_sprites, unit_hud_selector
- fortify : unit_item
- fortify_unit() : unit_item
- fortifying : named_sprites
- FORWARD_Icon : theme_icons
- forward_in_history() : chat_listener
- found_a_valid : cm_result
- founder_boat : ai_city
- founder_turn : ai_city
- founder_want : ai_city
- fp : inputfile, logging_civ_score
- fr_bottom : theme_icons
- fr_left : theme_icons
- fr_right : theme_icons
- fr_top : theme_icons
- fragment_count : packet_game_info
- fragments : packet_new_year
- frame : named_sprites
- free_bulbs : research
- free_data_func : genlist, update_queue_data
- free_sprite : gui_funcs
- free_tech_method : packet_game_info
- freecost : civ_game
- frequency : disaster_type, packet_ruleset_disaster
- from : Clause, packet_city_change_specialist
- from_pct : goods_type, packet_ruleset_goods
- frost : player_ai
- frozen_level : connection
- fuel : packet_edit_unit, packet_ruleset_unit, packet_spaceship_info, packet_unit_info, pf_parameter, player_spaceship, unit, unit_type
- fuel_left : pf_position
- fuel_left_initially : pf_parameter
- full_hp : unit_hud_selector
- full_hp_mp : unit_hud_selector
- full_mp : unit_hud_selector
- full_refresh() : option_dialog
- full_reset() : option_dialog
- full_tile_height : tileset
- full_tile_width : tileset
- full_version : loaddata
- fullfog : named_sprites
- fullname : fileinfo
- fulltradesize : packet_game_info
- func : Choice_dialog_button, citizens_column, city_report_spec, player_dlg_column, test_func
- funcs : ai_type, fc_lua
- future : worklist_data
- future_t : city_production_model
- future_targets : city_dialog
- future_tech : packet_edit_player, packet_research_info, research
- fuzzy : player_ai